import { LanguageResult } from "@google-cloud/translate/build/src/v2/index.d";
import React from "react";
export const setupConfig: ({ clientEmail, privateKey, projectId }: {
    clientEmail: string;
    privateKey: string;
    projectId: string;
}) => void;
interface TReturnUseTranslate {
    translatedData: {
        [key: string]: string;
    };
    loading: boolean;
}
export const useTranslate: (language: string | undefined, initialData: {
    [key: string]: string;
}, options?: {
    skip?: boolean | undefined;
    useStorage?: boolean | undefined;
}) => TReturnUseTranslate;
interface TranslateProps extends React.DetailedHTMLProps<React.HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> {
    children: string;
    language?: string;
    skip?: boolean;
    useStorage?: boolean;
}
declare const Translate: React.FC<TranslateProps>;
export const getLanguages: () => Promise<LanguageResult[]>;
export default Translate;
